<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Sala extends Model
{
    use HasFactory;

    protected $fillable = ['nombre', 'capacidad', 'tipo','estado']; // Agregar 'tipo' aquí

    // Relación con los alquileres
    public function alquileres()
    {
        return $this->hasMany(Alquiler::class);
    }
}
